namespace PkmnLib.Plugin.Gen7.Scripts.Items.Pokeballs;

[ItemScript("heal_ball")]
public class HealBall : PokeballScript
{
    /// <inheritdoc />
    public HealBall(IItem item) : base(item)
    {
    }

    /// <inheritdoc />
    public override void ChangeCatchRate(IPokemon target, ref byte catchRate)
    {
    }

    /// <inheritdoc />
    public override void OnAfterSuccessfulCapture(IPokemon target)
    {
        target.Heal(target.MaxHealth, true, forceHeal: true);
        target.ClearStatus();
        target.RestoreAllPP();
    }
}